Package org.kapott.hbci.dialog

## Enum KnownDialogTemplate

- java.lang.Object
- - java.lang.Enum<KnownDialogTemplate>
  - - org.kapott.hbci.dialog.KnownDialogTemplate

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<KnownDialogTemplate>`

    public enum KnownDialogTemplate
    extends java.lang.Enum<KnownDialogTemplate>

Die Namen der bekannten Dialog-Templates.

### Enum Constant Summary

Enum Constants
`END` Dialog-Ende.
`FIRSTKEYREQUEST` Abfrage der Bankensignatur.
`INIT` Dialog-Initialisierung.
`INIT_SCA` Dialog-Initialisierung.
`LOCKKEYS` Sperren von Schluesseln.
`SEPAINFO` Abruf der SEPA-Infos.
`SYNC` Synchronisierung.
`TANMEDIA` Abruf der TAN-Medien.

### Field Summary

Fields
`static java.util.List<KnownDialogTemplate>` `LIST_SEND_SCA` Liste der Dialoge, bei denen ein SCA-Request per HKTAN gesendet werden soll.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Liefert den Namen des Dialogs.
`static KnownDialogTemplate` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static KnownDialogTemplate[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INIT

    public static final KnownDialogTemplate INIT

Dialog-Initialisierung.

#### INIT_SCA

    public static final KnownDialogTemplate INIT_SCA

Dialog-Initialisierung.

#### SYNC

    public static final KnownDialogTemplate SYNC

Synchronisierung.

#### TANMEDIA

    public static final KnownDialogTemplate TANMEDIA

Abruf der TAN-Medien.

#### SEPAINFO

    public static final KnownDialogTemplate SEPAINFO

Abruf der SEPA-Infos.

#### FIRSTKEYREQUEST

    public static final KnownDialogTemplate FIRSTKEYREQUEST

Abfrage der Bankensignatur.

#### LOCKKEYS

    public static final KnownDialogTemplate LOCKKEYS

Sperren von Schluesseln.

#### END

    public static final KnownDialogTemplate END

Dialog-Ende.

### Field Detail

#### LIST_SEND_SCA

    public static java.util.List<KnownDialogTemplate> LIST_SEND_SCA

Liste der Dialoge, bei denen ein SCA-Request per HKTAN gesendet werden soll. Auch bei der anonymen - Siehe 'FinTS_3.0_Security_Sicherheitsverfahren_PINTAN_2018-02-23_final_version.pdf', letzter Hinweis in B.4.3.1 FIRSTKEYREQUEST ist zwar auch eine Dialog-Initialisierung. Da es die aber nur bei Schluesseldateien und nicht bei PIN/TAN gibt, wuerde ein HKTAN hier gar keinen Sinn machen.

### Method Detail

#### values

    public static KnownDialogTemplate[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (KnownDialogTemplate c : KnownDialogTemplate.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static KnownDialogTemplate valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getName

    public java.lang.String getName()

Liefert den Namen des Dialogs.

Returns:
  der Name des Dialogs.